#!/usr/bin/perl
=pod

 Copyright 2014 Nokia Solutions and Networks
 All rights reserved.

 @file test_fpga_usr.pl
 @par REVISIONS
 <pre>
 Date       CoreID    SRID       Description
 ---------- --------- ---------- ---------------------------------------------
 09/05/14   kapusta              Initial Version

=cut

require 'test_tb.pl';

sub test_fpga_usr {
    test_start('fpga_usr');

    test_dirExists('/sys/bus/fpga_bus');

    # fpga-usr
    test_classExists('fpga_usr');
    test_deviceInClassExists('fpga_usr', 'fpga_usr');
    test_deviceExists('fpga_usr');
    test_nodeRead('/sys/class/fpga_usr/fpga_usr/dev');
    test_dirExists('/sys/bus/fpga_bus');
    test_classExists('fpga_cdev');

    # fpga-ic
    test_countInterrupts('fpga-ic', 1);

    return test_finish();
}
1;

